READ_TAPE(8)

NAME
read_tape - Reads volume dumps from a backup tape to a file

SYNOPSIS
read_tape B<-tape> <I<tape device>>
   B<-restore> <I<# of volumes to restore>>
   B<-skip> <I<# of volumes to skip>>
   B<-file> <I<filename>> [-scan] [-noask] [-label]
   [-vheaders] [-verbose] [-help]

DESCRIPTION
read_tape reads an OpenAFS backup tape and prompts for each dump file to save. This command does not require any OpenAFS infrastructure. This command does not need an OpenAFS client or server to be available, which is not the case with the backup(8) command.

The dump files will be named for the Read/Write name of the volume restored. After saving each dump file, vos restore or restorevol can be used to restore the volume into AFS and non-AFS space respectively.

read_tape reads the tape while skipping the specified number of volumes. After that, it restores the specified number of volumes. read_tape doesn't rewind the tape so that it may be used multiple times in succession.

OPTIONS

-tape <tape device>
    Specifies the tape device from which to restore.

-restore <# of volumes to restore>
    Specifies the number of volumes to restore from tape.

-skip <# of volumes to skip>
    Specifies the number of volumes to skip before starting the restore.

-file <filename>
    Specifies an alternate name for the restored volume dump file rather than the default of the volume name.

-scan
    Scans the tape.

-noask
    Doesn't prompt for each volume.

-label
    Displays the full dump label.

-vheaders
    Displays the full volume headers.

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command will read the third through fifth volumes from the tape device /dev/tape without prompting:

   % read_tape -tape /dev/tape -skip 2 -restore 3 -noask

PRIVILEGE REQUIRED
The issuer must have access to read and write to the specified tape device.

SEE ALSO
backup(8), restorevol(1), vos_restore(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.